Bug 1175114 - [abrt] xneur: malloc(): xneur killed by SIGSEGV
[abrt] xneur: malloc(): xneur killed by SIGSEGV
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xneur (Show other bugs)
21
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:d01503a0861366e48774ff6dfe4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-12-17 03:11 EST by Sergei
Modified: 2015-03-12 12:34 EDT (History)
2 users (show)

See Also:
Fixed In Version: gxneur-0.17.0-4.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-12 12:32:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (36.27 KB, text/plain)
2014-12-17 03:11 EST, Sergei
no flags Details
File: cgroup (190 bytes, text/plain)
2014-12-17 03:11 EST, Sergei
no flags Details
File: core_backtrace (4.78 KB, text/plain)
2014-12-17 03:11 EST, Sergei
no flags Details
File: dso_list (7.04 KB, text/plain)
2014-12-17 03:11 EST, Sergei
no flags Details
File: environ (1.34 KB, text/plain)
2014-12-17 03:11 EST, Sergei
no flags Details
File: limits (1.29 KB, text/plain)
2014-12-17 03:11 EST, Sergei
no flags Details
File: maps (33.23 KB, text/plain)
2014-12-17 03:11 EST, Sergei
no flags Details
File: open_fds (297 bytes, text/plain)
2014-12-17 03:11 EST, Sergei
no flags Details
File: proc_pid_status (933 bytes, text/plain)
2014-12-17 03:11 EST, Sergei
no flags Details
File: var_log_messages (191 bytes, text/plain)
2014-12-17 03:11 EST, Sergei
no flags Details
File: exploitable (168 bytes, application/octet-stream)
2014-12-17 03:11 EST, Sergei
no flags Details
patch for memory misusages against xneur mercurial repository (2.38 KB, patch)
2014-12-21 06:12 EST, Alexey Radkov
no flags Details | Diff
xneur src.rpm package with fixed memory misusages (1.33 MB, application/octet-stream)
2014-12-21 06:15 EST, Alexey Radkov
no flags Details

  None (edit)
Description Sergei 2014-12-17 03:11:34 EST
Version-Release number of selected component:
xneur-0.17.0-3.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        xneur
crash_function: malloc
executable:     /usr/bin/xneur
kernel:         3.17.6-300.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (6 frames)
 #2 malloc at /lib64/libc.so.6
 #3 get_file_path_name at /lib64/libxnconfig.so.17
 #4 play_file at /lib64/libxneur.so.17
 #5 show_notify at /lib64/libxneur.so.17
 #6 program_on_key_action at /lib64/libxneur.so.17
 #7 program_process_input at /lib64/libxneur.so.17
Comment 1 Sergei 2014-12-17 03:11:37 EST
Created attachment 969942 [details]
File: backtrace
Comment 2 Sergei 2014-12-17 03:11:38 EST
Created attachment 969943 [details]
File: cgroup
Comment 3 Sergei 2014-12-17 03:11:40 EST
Created attachment 969944 [details]
File: core_backtrace
Comment 4 Sergei 2014-12-17 03:11:41 EST
Created attachment 969945 [details]
File: dso_list
Comment 5 Sergei 2014-12-17 03:11:42 EST
Created attachment 969946 [details]
File: environ
Comment 6 Sergei 2014-12-17 03:11:43 EST
Created attachment 969947 [details]
File: limits
Comment 7 Sergei 2014-12-17 03:11:45 EST
Created attachment 969948 [details]
File: maps
Comment 8 Sergei 2014-12-17 03:11:46 EST
Created attachment 969949 [details]
File: open_fds
Comment 9 Sergei 2014-12-17 03:11:47 EST
Created attachment 969950 [details]
File: proc_pid_status
Comment 10 Sergei 2014-12-17 03:11:48 EST
Created attachment 969951 [details]
File: var_log_messages
Comment 11 Sergei 2014-12-17 03:11:49 EST
Created attachment 969952 [details]
File: exploitable
Comment 12 Alexey Radkov 2014-12-21 06:10:23 EST
There are several memory errors there. I made patches that fix them and sent them to the xneur developers a week ago but still did not receive an answer. So I am putting them here.

The first patch is against mercurial repository of xneur, the second is actually not a patch but rather a Fedora 21 xneur src.rpm package, that can be built and installed as rpm.

The patches work fine for me.
Comment 13 Alexey Radkov 2014-12-21 06:12:52 EST
Created attachment 971688 [details]
patch for memory misusages against xneur mercurial repository
Comment 14 Alexey Radkov 2014-12-21 06:15:20 EST
Created attachment 971689 [details]
xneur src.rpm package with fixed memory misusages
Comment 15 Pavel Alexeev 2015-01-15 07:03:23 EST
Sergei thank you for the bugreport and willing make free software better.

Alexey, thank you very much for the fix. I'll look at provided patch and apply it ASAP.

Please let us know when author answer for you.
Comment 16 Alexey Radkov 2015-01-15 07:10:32 EST
Thanks, Pavel.

Yes, i'll let you know if i get answer.
Comment 17 Alexey Radkov 2015-01-15 07:17:09 EST
Pavel, I forwarded to you a mail that i sent to xneur developers before. It contains a few details inside.
Comment 18 Fedora Update System 2015-01-15 15:53:30 EST
gxneur-0.17.0-4.fc21,xneur-0.17.0-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/gxneur-0.17.0-4.fc21,xneur-0.17.0-4.fc21
Comment 19 Fedora Update System 2015-01-15 17:17:38 EST
gxneur-0.17.0-4.fc20,xneur-0.17.0-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gxneur-0.17.0-4.fc20,xneur-0.17.0-4.fc20
Comment 20 Fedora Update System 2015-01-17 00:43:57 EST
Package gxneur-0.17.0-4.fc20, xneur-0.17.0-4.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gxneur-0.17.0-4.fc20 xneur-0.17.0-4.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-0785/gxneur-0.17.0-4.fc20,xneur-0.17.0-4.fc20
then log in and leave karma (feedback).
Comment 21 Fedora Update System 2015-03-12 12:32:55 EDT
gxneur-0.17.0-4.fc21, xneur-0.17.0-4.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2015-03-12 12:34:42 EDT
gxneur-0.17.0-4.fc20, xneur-0.17.0-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.